Skip to main content
POST
/
v3
/
async
/
kling-2.5-turbo-t2v
Kling V2.5 Turbo Text to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-2.5-turbo-t2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "duration": "<string>",
  "aspect_ratio": "<string>",
  "cfg_scale": 123,
  "mode": "<string>",
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-2.5-turbo-t2v"

payload = {
"prompt": "<string>",
"duration": "<string>",
"aspect_ratio": "<string>",
"cfg_scale": 123,
"mode": "<string>",
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
prompt: '<string>',
duration: '<string>',
aspect_ratio: '<string>',
cfg_scale: 123,
mode: '<string>',
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-2.5-turbo-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling 2.5 Turbo is an advanced text-to-video model capable of generating ultra-smooth motion, cinematic visuals, and outputs that closely adhere to the input prompt.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

prompt
string
required
Positive text prompt that guides the video generation. Maximum length: 2500 characters.
duration
string
default:"5"
Duration of the generated video in seconds.Available options: 5, 10
aspect_ratio
string
default:"16:9"
Aspect ratio of the output video.Available options: 16:9, 9:16, 1:1
cfg_scale
number
Controls the adherence to the prompt. Higher values result in outputs that more strictly follow the prompt, while lower values allow for more creativity.Range: 0 to 1
mode
string
default:"pro"
Video generation mode. Supported values:
  • pro: Professional mode
negative_prompt
string
Negative text prompt to specify elements to avoid in the output. Maximum length: 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on October 23, 2025